Output "^M^JThis Pandora script demonstrates Pandora's potential for implementing^M^J"
Output "an application-specific keyboard-macro processor.  This script works with^M^J"
Output "a program called KeyEcho.  If you run KeyEcho by itself you'll see that it^M^J"
Output "simply echoes whatever you type to the screen.  When you press a text key^M^J"
Output "the character is displayed.  When you press a function key, a cursor key,^M^J"
Output "or some other non-text key then the keyboard code for that key is displayed^M^J"
Output "in hexadecimal.^M^J"
Output "^M^J"
Output "In this demonstration, macros are assigned to Alt-letter keys.  Try^M^J"
Output "pressing Alt-A, Alt-B, etc.  And don't miss Alt-H.^M^J"
Output "^M^J"
Output "Please press the [Space Bar] to continue.  Press [Esc] to exit..."
GetKey
IfKey "[Esc]"
	Quit
EndIf
IfLoad "KEYECHO.COM"
	Output "^M^JLoading the KeyEcho program..."
Else
	Output "^M^JCannot find KEYECHO.COM!"
	Quit
EndIf
Output "^M^JOkay starting typing:^M^J"
Go ""
OnDeath epilog
Label 00
WaitKey
IfKey "[Alt]A[Alt]B[Alt]C[Alt]D[Alt]E[Alt]F[Alt]G"
	IfKey "[Alt]A"
		Key "You just pressed Alt-A^M"
		Jump 00
	EndIf
	IfKey "[Alt]B"
		Key "'Twas brillig and the slithy toves..."
		Jump 00
	EndIf
	IfKey "[Alt]C"
		Key "Can you type this as fast as Pandora???"
		Jump 00
	EndIf
	IfKey "[Alt]D"
		Key "Press Alt-H for help on the macro facility^M"
		Jump 00
	EndIf
	IfKey "[Alt]E"
		Tone 1329 3t
		Jump 00
	EndIf
	IfKey "[Alt]F"
		Key "F"
		Jump 00
	EndIf
	IfKey "[Alt]G"
		Key "Gee"
		Jump 00
	EndIf
EndIf
IfKey "[Alt]H[Alt]I[Alt]J[Alt]K[Alt]L[Alt]M[Alt]N"
	IfKey "[Alt]H"
		WriteScreen screen.$$$
		VideoFore Yellow
		VideoBack Magenta
		Screen  8 10 "ͻ"
		Screen  9 10 "                                                               "
		Screen 10 10 "            Pandora Keyboard Macro Demonstration.              "
		Screen 11 10 "  Help text for your actual macro facility would appear here.  "
		Screen 12 10 "                 Press the [Space Bar] to continue.            "
		Screen 13 10 "                                                               "
		Screen 14 10 "ͼ"
		GetKey
		ReadScreen screen.$$$
		Jump 00
	EndIf
	IfKey "[Alt]I"
		Key "I, <your name here>, "
		Jump 00
	EndIf
	IfKey "[Alt]J"
		Key ""
		Jump 00
	EndIf
	IfKey "[Alt]K"
		Key "^MKill this program? (Y/N)"
		GetKey
		IfKey "Yy"
			KillChild
			Quit
		Else
			Key "^M"
		EndIf
		Jump 00
	EndIf
	IfKey "[Alt]L"
		Wipe
		Jump 00
	EndIf
	IfKey "[Alt]M"
		Key "Musical Interlude!"
		Tone 247 2t
		Tone 247 14t
		Tone 247 6t
		Tone 247 2t
		Tone 277 4t
		Tone 247 4t
		Pause 4t
		Jump 00
	EndIf
	IfKey "[Alt]N"
		Key "1,000,000"
		Jump 00
	EndIf
EndIf
IfKey "[Alt]O[Alt]P[Alt]Q[Alt]R[Alt]S[Alt]T[Alt]U"
	IfKey "[Alt]O"
		Key "You just pressed Alt-O^M"
		Jump 00
	EndIf
	IfKey "[Alt]P"
		Key "^J^J^J"
		Jump 00
	EndIf
	IfKey "[Alt]Q"
		Key "^K^K^K"
		Jump 00
	EndIf
	IfKey "[Alt]R"
		Key "I'm getting bored thinking up macros..."
		Jump 00
	EndIf
	IfKey "[Alt]S"
		Tone 1329 3t
		Jump 00
	EndIf
	IfKey "[Alt]T"
		Key "Tea for two and two for tea..."
		Jump 00
	EndIf
	IfKey "[Alt]U"
		Key "^MMe for you and you for me"
		Jump 00
	EndIf
EndIf
IfKey "[Alt]V[Alt]W[Alt]X[Alt]Y[Alt]Z"
	IfKey "[Alt]V"
		Key ""
		Jump 00
	EndIf
	IfKey "[Alt]W"
		Key ""
		Jump 00
	EndIf
	IfKey "[Alt]X"
		Key ""
		Jump 00
	EndIf
	IfKey "[Alt]Y"
		Key ""
		Jump 00
	EndIf
	IfKey "[Alt]Z"
		Key ""
		Jump 00
	EndIf
EndIf
PassKey
Jump 00
Label epilog
Quit
